Summary: Stratego interpreter and interactive shell
Name: stratego-shell
Version: 0.7pre17879
Release: 1
License: LGPL
Group: Development/Languages/Stratego
URL: http://www.strategoxt.org/Stratego/StrategoShell
Source: stratego-shell-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: aterm >= 2.5
Requires: sdf2-bundle >= 2.4
Requires: strategoxt >= 0.17
Requires: readline
Provides: %{name} = %{version}

%description

%prep
%setup -q

%build
CFLAGS="-D__NO_CTYPE" ./configure --prefix=%{_prefix} --with-aterm=%{_prefix} --with-sdf=%{_prefix} --with-strategoxt=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}
%{_prefix}/libexec
#%{_libexecdir}
#%{_includedir}
%{_libdir}
%{_datadir}
%doc
#%{_prefix}/man/
#%{_prefix}/doc/

%changelog
